.xcard {
  /* width: 320px; */
  background: white;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
}

.xcard:hover {
  transform: translateY(-8px);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
}

.xcard img {
  width: 100%;
  max-width: 140px;
  height: 140px;
  display: block;
  margin: 0 auto;
  padding: 10px;
}

.xcard--content {
  padding: 20px;
}

.xcard--content h2 {
  margin-bottom: 10px;
  color: #333;
}

.xcard--content p {
  color: #666;
  font-size: 14px;
  line-height: 1.6;
  margin-bottom: 20px;
}

.xcard--content button {
  background: #01747b;
  color: white;
  border: none;
  padding: 10px 18px;
  border-radius: 8px;
  cursor: pointer;
  transition: background 0.3s;
}

.xcard--content button:hover {
  background: #01747b;
}

.row-space {
  /* margin-left: -40px; */
  /* margin-right: -40px; */
  margin: -10px;
}

.row-space > [class*="col-"] {
  /* padding-left: 40px; */
  /* padding-right: 40px; */
  padding: 10px;
}

/* Container */
.xcard-flip {
  perspective: 1000px;
  cursor: pointer;
}

/* Inner */
.xcard-flip-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.7s;
  transform-style: preserve-3d;
}

/* Hover */
/* Hover hanya jika belum active */
.xcard-flip:not(.active):hover .xcard-flip-inner {
  transform: rotateX(180deg);
}

/* Flip saat active */
.xcard-flip.active .xcard-flip-inner {
  transform: rotateX(180deg);
}

/* Front & Back */
.xcard-front,
.xcard-back {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 15px;
  overflow: hidden;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;

  display: flex;
  flex-direction: column;
  justify-content: center;

  background: #fff;
}

/* Belakang */
.xcard-back {
  transform: rotateX(180deg);
  background: #01747b;
  color: #fff;
  padding: 20px;
}

.xcard-back h5,
.xcard-back p {
  color: #fff;
}

.xcard-back .btn {
  background: #fff;
  color: #01747b;
  border: none;
}

.xcard-back .btn:hover {
  background: #01868d;
}
